Solved

Ubuntu Linux Media Agent Ransomware


Userlevel 3
Badge +6

HI All,

currently only on RHEL / CentOS ransomware protection can be used. https://documentation.commvault.com/11.23/expert/126625_system_requirements_for_ransomware_protection.html
the main reason for this is usage of the SELINUX modules. Are there also plan for creating this feature on Ubuntu Linux?

or are the other ways to achieve this?

icon

Best answer by DMCVault 7 May 2021, 18:04

View original

13 replies

Userlevel 7
Badge +23

Hey @M Scheepers !

I’ll ask internally and see if we can get a response.  Currently, the answer is that this is not possible but there may be something in the works.

Userlevel 5
Badge +7

We are expanding this capability in upcoming feature releases, but Ubuntu is  currently not supported.  I will put a CMRin for you to track.

Userlevel 3
Badge +6

thanks @Mike Struening  

I’m very curious if there is a way to achieve this already.

Userlevel 5
Badge +7

The setup script will fail since the OS is not supported.  We would have to modify the script to support Ubuntu.  Theoretically that should be all we need to do, but there could be other changes needed as well...it would have to be tested.

Userlevel 1
Badge +2

Currently we are running on 2022E version, I guess still the feature is not supported. 

OS : Ubuntu 20.04

Please let us know how to enable the ransomware protection on Ubuntu 20.04 with 2022E Version 

Userlevel 5
Badge +7

@raj5725 we added support for Ubuntu 20.04 in 2022E - follow the same instructions for linux machines and make sure the Ubuntu requirements are met first.

https://documentation.commvault.com/2022e/expert/126625_system_requirements_for_ransomware_protection.html

Badge +2

@raj5725 we added support for Ubuntu 20.04 in 2022E - follow the same instructions for linux machines and make sure the Ubuntu requirements are met first.

https://documentation.commvault.com/2022e/expert/126625_system_requirements_for_ransomware_protection.html

 

 

Hi, testing Ubuntu Server 20.04, after enabling ransomware protection, following that guide, second time server boots up, breaks boot up, no access to ssh, no volumes mounted whatsoever.

 

 

Userlevel 7
Badge +16

@raj5725 we added support for Ubuntu 20.04 in 2022E - follow the same instructions for linux machines and make sure the Ubuntu requirements are met first.

https://documentation.commvault.com/2022e/expert/126625_system_requirements_for_ransomware_protection.html

 

 

Hi, testing Ubuntu Server 20.04, after enabling ransomware protection, following that guide, second time server boots up, breaks boot up, no access to ssh, no volumes mounted whatsoever.

 

 

Ai, that hurts! Which platform release and maintenance release are you running? Why do you want to run this on Ubuntu? Have you considered adopting the FREL appliances, assuming you are running on VMware. 

Badge +2

@raj5725 we added support for Ubuntu 20.04 in 2022E - follow the same instructions for linux machines and make sure the Ubuntu requirements are met first.

https://documentation.commvault.com/2022e/expert/126625_system_requirements_for_ransomware_protection.html

 

 

Hi, testing Ubuntu Server 20.04, after enabling ransomware protection, following that guide, second time server boots up, breaks boot up, no access to ssh, no volumes mounted whatsoever.

 

 

Ai, that hurts! Which platform release and maintenance release are you running? Why do you want to run this on Ubuntu? Have you considered adopting the FREL appliances, assuming you are running on VMware. 

Hi,

FREL cannot be used in a physical environment, right? this media agent is going to be a Disk Library with ransomware protection, i’ve already tried out 11.28 and 11.30, same result, everytime I enable ransomware protection it breaks the ubuntu server.

Userlevel 7
Badge +16

No, that is indeed correct. The FREL image is an OVA template which can be deployed on VMware. I would open a support ticket so they can look into it and deliver a solution. B.t.w. can't you go to a RHEL-based Linux distribution? 

Badge +2

Going to try out Oracle Linux, and see if it is supported by the ransomware enable script.

Userlevel 7
Badge +16

Going to try out Oracle Linux, and see if it is supported by the ransomware enable script.

I would assume this is supported as the FREL image is based on Oracle Linux, but I didn't check it myself. 

Badge +2

Going to try out Oracle Linux, and see if it is supported by the ransomware enable script.

I would assume this is supported as the FREL image is based on Oracle Linux, but I didn't check it myself. 

Hi,

 

Unfortunately it is not.

 

./cvsecurity.py enable_protection -i Instance001


OS name ol major version 8 minor version 6
os not supported

 

Guess I’ll have to stick with RHEL/CentOS

 

https://documentation.commvault.com/2023/expert/126625_system_requirements_for_ransomware_protection.html

 

Reply